Set person modification tag

Prev Next

Available in VPC

Add a person tag to a person.

Request

This section describes the request format. The method and URI are as follows:

Method URI
POST /api/v1/workspaces/{workspace_name}/persons/{person_id}/person-tags

Request headers

For information about the headers common to all Media Intelligence APIs, see Media Intelligence request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
workspace_name String Required Workspace name
person_id Integer Required Person ID

Request body

You can include the following data in the body of your request:

Field Type Required Description
tagIds Array<Integer> Required List of person tag IDs to add
  • Duplicate IDs are ignored.

Request example

The request example is as follows:

curl --location --request POST 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/persons/1001/person-tags' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--data '{
  "tagIds": [100, 200]
}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
code String - API processing result code
message String - API processing result message
result Object - List of tags set for the person object
result.tagList Array - List of tags set for the person: tagList
  • Existing tag + newly added tag

tagList

The following describes tagList.

Field Type Required Description
id Integer - Person tag ID
name String - Person tag name

Response status codes

For information about the HTTP status codes common to all Media Intelligence APIs, see Media Intelligence response status codes.

Response example

The response example is as follows:

{
  "code": "0",
  "message": "success",
  "result": {
    "tagList": [
      {
        "id": 100,
        "name": "Anchor"
      },
      {
        "id": 200,
        "name": "Influencer"
      }
    ]
  }
}